Ainda não tem acesso? Estude com a gente! Matricule-se
Ainda não tem acesso? Estude com a gente! Matricule-se

Versão do Hibernate

Eu adicionei uma versão do Hibernate no meu projeto e minha IDE deu um warning e um erro:

'org.hibernate.dialect.MySQL5InnoDBDialect' is deprecated
Checks for usages of deprecated classes and methods in XML
Cannot resolve class 'HibernatePersistence'

Teria uma forma de adicionar ele através do Forge ? Qual seria a versão ?

1 resposta

Idealmente você não precisa nem adicionar versão do hibernate no seu pom.xml, já que ele é usado internamente pelo wildfly como implementação da jpa...

No seu persistence.xml não precisa especificar o provider.